kate Library: Kate::View Class Reference (kate Library)

| # kate Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# Kate::View Class Reference

The Kate::View text editor interface. More...

`#include <view.h>`

List of all members.

## Public Types
enum | saveResult { SAVE_OK, SAVE_CANCEL, SAVE_RETRY, SAVE_ERROR }
## Public Slots
virtual void | flush ()
virtual saveResult | save ()
virtual saveResult | saveAs ()
virtual void | indent ()
virtual void | unIndent ()
virtual void | cleanIndent ()
virtual void | comment ()
virtual void | uncomment ()
virtual void | keyReturn ()
virtual void | keyDelete ()
virtual void | backspace ()
virtual void | killLine ()
virtual void | cursorLeft ()
virtual void | shiftCursorLeft ()
virtual void | cursorRight ()
virtual void | shiftCursorRight ()
virtual void | wordLeft ()
virtual void | shiftWordLeft ()
virtual void | wordRight ()
virtual void | shiftWordRight ()
virtual void | home ()
virtual void | shiftHome ()
virtual void | end ()
virtual void | shiftEnd ()
virtual void | up ()
virtual void | shiftUp ()
virtual void | down ()
virtual void | shiftDown ()
virtual void | scrollUp ()
virtual void | scrollDown ()
virtual void | topOfView ()
virtual void | bottomOfView ()
virtual void | pageUp ()
virtual void | shiftPageUp ()
virtual void | pageDown ()
virtual void | shiftPageDown ()
virtual void | top ()
virtual void | shiftTop ()
virtual void | bottom ()
virtual void | shiftBottom ()
virtual void | find ()
virtual void | replace ()
virtual void | gotoLine ()
virtual int | getEol ()
virtual void | setEol (int)
virtual void | setFocus ()
virtual void | findAgain (bool forward)
virtual void | findAgain ()
virtual void | findPrev ()
virtual void | slotEditCommand ()
virtual void | setIconBorder (bool enable)
virtual void | toggleIconBorder ()
virtual void | setLineNumbersOn (bool enable)
virtual void | toggleLineNumbersOn ()
virtual void | slotIncFontSizes ()
virtual void | slotDecFontSizes ()
virtual void | gotoMark (KTextEditor::Mark *mark)=0
virtual void | toggleBookmark ()
virtual void | gotoLineNumber (int)=0
## Signals
void | gotFocus (View *)
## Public Member Functions
| View (KTextEditor::Document *, QWidget *, const char *name=0)
virtual | ~View ()
virtual bool | isOverwriteMode () const
virtual void | setOverwriteMode (bool)
virtual QString | currentTextLine ()
virtual QString | currentWord ()
virtual QString | word (int, int)
virtual void | insertText (const QString &mark)
virtual bool | canDiscard ()
virtual int | tabWidth ()=0
virtual void | setTabWidth (int)=0
virtual void | setEncoding (QString e)=0
virtual bool | isLastView ()=0
virtual void | readSessionConfig (KConfig *)
virtual void | writeSessionConfig (KConfig *)
virtual bool | iconBorder ()
virtual bool | lineNumbersOn ()
virtual Document * | getDoc ()
virtual void | setActive (bool b)=0
virtual bool | isActive ()=0

## Detailed Description

The Kate::View text editor interface.

Author:
  Cullmann Christoph, modified by rokrau (6/21/01)

Definition at line 42 of file view.h.

## Member Enumeration Documentation

enum Kate::View::saveResult

| Return values for "save" related commands. Definition at line 52 of file view.h.

## Constructor & Destructor Documentation

Kate::View::View | ( | KTextEditor::Document * | ,
|  | QWidget * | ,
|  | const char * | name = `0`
| ) |

| Constructor (should much rather take a reference to the document). Definition at line 77 of file interfaces.cpp.

Kate::View::~View | ( |  | ) | `[virtual]`

| Destructor, you need a destructor if Scott Meyers says so. Definition at line 81 of file interfaces.cpp.

## Member Function Documentation

virtual bool Kate::View::isOverwriteMode | ( |  | ) | const`[inline, virtual]`

| Set editor mode. Definition at line 64 of file view.h.

virtual void Kate::View::setOverwriteMode | ( | bool |  | ) | `[inline, virtual]`

| Get editor mode. Definition at line 68 of file view.h.

virtual QString Kate::View::currentTextLine | ( |  | ) | `[inline, virtual]`

| Gets the text line where the cursor is on. Definition at line 72 of file view.h.

virtual QString Kate::View::currentWord | ( |  | ) | `[inline, virtual]`

| Gets the word where the cursor is on. Definition at line 76 of file view.h.

virtual QString Kate::View::word | ( | int | ,
|  | int |
| ) | `[inline, virtual]`

| Gets the word at position x, y. Can be used to find the word under the mouse cursor Definition at line 81 of file view.h.

virtual void Kate::View::insertText | ( | const QString & | mark | ) | `[inline, virtual]`

  | Insert text at the current cursor position. Parameters:
  | mark | is unused.
Definition at line 86 of file view.h.

virtual bool Kate::View::canDiscard | ( |  | ) | `[inline, virtual]`

| Works exactly like closeURL() of KParts::ReadWritePart. Definition at line 90 of file view.h.

virtual bool Kate::View::isLastView | ( |  | ) | `[pure virtual]`

| Returns true if this editor is the only owner of its document.

virtual void Kate::View::flush | ( |  | ) | `[inline, virtual, slot]`

| Flushes the document of the text widget. The user is given a chance to save the current document if the current document has been modified. Definition at line 108 of file view.h.

virtual saveResult Kate::View::save | ( |  | ) | `[inline, virtual, slot]`

| Saves the file under the current file name. If the current file name is Untitled, as it is after a call to newFile(), this routine will call saveAs(). Definition at line 114 of file view.h.

virtual saveResult Kate::View::saveAs | ( |  | ) | `[inline, virtual, slot]`

| Allows the user to save the file under a new name. Definition at line 118 of file view.h.

virtual void Kate::View::indent | ( |  | ) | `[inline, virtual, slot]`

| Moves the current line or the selection one position to the right. Definition at line 122 of file view.h.

virtual void Kate::View::unIndent | ( |  | ) | `[inline, virtual, slot]`

| Moves the current line or the selection one position to the left. Definition at line 126 of file view.h.

virtual void Kate::View::cleanIndent | ( |  | ) | `[inline, virtual, slot]`

| Optimizes the selected indentation, replacing tabs and spaces as needed. Definition at line 130 of file view.h.

virtual void Kate::View::comment | ( |  | ) | `[inline, virtual, slot]`

| Comments out current line. Definition at line 134 of file view.h.

virtual void Kate::View::uncomment | ( |  | ) | `[inline, virtual, slot]`

| Removes comment signs in the current line. Definition at line 138 of file view.h.

virtual void Kate::View::keyReturn | ( |  | ) | `[inline, virtual, slot]`

| Some simply key commands. Definition at line 142 of file view.h.

virtual void Kate::View::cursorLeft | ( |  | ) | `[inline, virtual, slot]`

| Move cursor in the view. Definition at line 149 of file view.h.

virtual void Kate::View::find | ( |  | ) | `[inline, virtual, slot]`

| Presents a search dialog to the user. Definition at line 180 of file view.h.

virtual void Kate::View::replace | ( |  | ) | `[inline, virtual, slot]`

| Presents a replace dialog to the user. Definition at line 184 of file view.h.

virtual void Kate::View::gotoLine | ( |  | ) | `[inline, virtual, slot]`

| Presents a "Goto Line" dialog to the user. Definition at line 188 of file view.h.

virtual void Kate::View::readSessionConfig | ( | KConfig * |  | ) | `[inline, virtual]`

| Reads session config out of the KConfig object. This also includes the actual cursor position and the bookmarks. Definition at line 195 of file view.h.

virtual void Kate::View::writeSessionConfig | ( | KConfig * |  | ) | `[inline, virtual]`

| Writes session config into the KConfig object. Definition at line 199 of file view.h.

virtual int Kate::View::getEol | ( |  | ) | `[inline, virtual, slot]`

| Get the end of line mode (Unix, Macintosh or Dos). Definition at line 205 of file view.h.

virtual void Kate::View::setEol | ( | int |  | ) | `[inline, virtual, slot]`

| Set the end of line mode (Unix, Macintosh or Dos). Definition at line 209 of file view.h.

virtual void Kate::View::setFocus | ( |  | ) | `[inline, virtual, slot]`

| Set focus to the current window. Definition at line 214 of file view.h. References QWidget::setFocus().

virtual void Kate::View::findAgain | ( | bool | forward | ) | `[inline, virtual, slot]`

  | Searches for the last searched text forward from cursor position. Parameters:
  | forward | determines the search direction.
Definition at line 219 of file view.h.

virtual void Kate::View::findAgain | ( |  | ) | `[inline, virtual, slot]`

| Searches for the last searched text forward from cursor position. Searches forward from current cursor position. Definition at line 224 of file view.h.

virtual void Kate::View::findPrev | ( |  | ) | `[inline, virtual, slot]`

| Searches for the last searched text forward from cursor position. Searches backward from current cursor position. Definition at line 229 of file view.h.

virtual void Kate::View::slotEditCommand | ( |  | ) | `[inline, virtual, slot]`

| Presents an edit command popup window, where the user can apply a shell command to the contents of the current window. Definition at line 234 of file view.h.

virtual void Kate::View::setIconBorder | ( | bool | enable | ) | `[inline, virtual, slot]`

  | Sets icon border on or off depending on. Parameters:
  | enable | the flag
Definition at line 240 of file view.h.

virtual void Kate::View::toggleIconBorder | ( |  | ) | `[inline, virtual, slot]`

| Toggles icon border. Definition at line 244 of file view.h.

virtual void Kate::View::setLineNumbersOn | ( | bool | enable | ) | `[inline, virtual, slot]`

  | Sets display of line numbers on/off depending on `enable`. Parameters:
  | enable | the flag
Definition at line 249 of file view.h.

virtual void Kate::View::toggleLineNumbersOn | ( |  | ) | `[inline, virtual, slot]`

| Toggles display of lineNumbers. Definition at line 253 of file view.h.

virtual bool Kate::View::iconBorder | ( |  | ) | `[inline, virtual]`

| Returns whether iconborder is visible. Definition at line 259 of file view.h.

virtual bool Kate::View::lineNumbersOn | ( |  | ) | `[inline, virtual]`

| Returns: Wheather line numbers display is on Definition at line 263 of file view.h.

virtual Document* Kate::View::getDoc | ( |  | ) | `[inline, virtual]`

| Returns a pointer to the document of the view. Definition at line 267 of file view.h.

virtual void Kate::View::slotIncFontSizes | ( |  | ) | `[inline, virtual, slot]`

| Increase font size. Definition at line 273 of file view.h.

virtual void Kate::View::slotDecFontSizes | ( |  | ) | `[inline, virtual, slot]`

| Decrease font size. Definition at line 277 of file view.h.

virtual void Kate::View::toggleBookmark | ( |  | ) | `[inline, virtual, slot]`

| Deprecated: No longer does anything. Use KTextEditor equivalents Definition at line 286 of file view.h.

The documentation for this class was generated from the following files:

- view.h
- interfaces.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:37:00 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003